#CLOCK
set_property -dict {PACKAGE_PIN P17 IOSTANDARD LVCMOS33} [get_ports CLK50M]
    create_clock -period 40.000 -name sys_clk_pin -waveform {0.000 20.000} -add [get_ports CLK50M]
    
# push button     
set_property -dict {PACKAGE_PIN G13 IOSTANDARD LVCMOS33} [get_ports btn]

## UART INTERFACE

set_property -dict {PACKAGE_PIN L15 IOSTANDARD LVCMOS33} [get_ports TxD]
set_property -dict {PACKAGE_PIN R17 IOSTANDARD LVCMOS33} [get_ports RxD]

#ZBT INTERFACE 
# ZBT_CLK
set_property -dict {PACKAGE_PIN C4 IOSTANDARD LVCMOS33} [get_ports zbtclk]  

# ZBT_ADV_LD
set_property -dict {PACKAGE_PIN G2 IOSTANDARD LVCMOS33} [get_ports zbtadv]  

# ZBT read / write direction
set_property -dict {PACKAGE_PIN G1 IOSTANDARD LVCMOS33} [get_ports zbtrw]  

# ZBT individual byte access
# bo, b1, b2, b3
set_property -dict {PACKAGE_PIN M4 IOSTANDARD LVCMOS33} [get_ports {SRbe[0]}]  
set_property -dict {PACKAGE_PIN N4 IOSTANDARD LVCMOS33} [get_ports {SRbe[1]}]  
set_property -dict {PACKAGE_PIN C1 IOSTANDARD LVCMOS33} [get_ports {SRbe[2]}]  
set_property -dict {PACKAGE_PIN C2 IOSTANDARD LVCMOS33} [get_ports {SRbe[3]}]  

# ZBT address from FPGA to ZBT          SRbe
set_property -dict {PACKAGE_PIN A1 IOSTANDARD LVCMOS33} [get_ports {zbtadr[0]}]
set_property -dict {PACKAGE_PIN B2 IOSTANDARD LVCMOS33} [get_ports {zbtadr[1]}]
set_property -dict {PACKAGE_PIN H6 IOSTANDARD LVCMOS33} [get_ports {zbtadr[2]}]
set_property -dict {PACKAGE_PIN K6 IOSTANDARD LVCMOS33} [get_ports {zbtadr[3]}]
set_property -dict {PACKAGE_PIN C5 IOSTANDARD LVCMOS33} [get_ports {zbtadr[4]}]
set_property -dict {PACKAGE_PIN A4 IOSTANDARD LVCMOS33} [get_ports {zbtadr[5]}]
set_property -dict {PACKAGE_PIN A5 IOSTANDARD LVCMOS33} [get_ports {zbtadr[6]}]
set_property -dict {PACKAGE_PIN B1 IOSTANDARD LVCMOS33} [get_ports {zbtadr[7]}]
set_property -dict {PACKAGE_PIN B3 IOSTANDARD LVCMOS33} [get_ports {zbtadr[8]}]
set_property -dict {PACKAGE_PIN B6 IOSTANDARD LVCMOS33} [get_ports {zbtadr[9]}]
set_property -dict {PACKAGE_PIN H1 IOSTANDARD LVCMOS33} [get_ports {zbtadr[10]}]
set_property -dict {PACKAGE_PIN J2 IOSTANDARD LVCMOS33} [get_ports {zbtadr[11]}]
set_property -dict {PACKAGE_PIN A3 IOSTANDARD LVCMOS33} [get_ports {zbtadr[12]}]
set_property -dict {PACKAGE_PIN A6 IOSTANDARD LVCMOS33} [get_ports {zbtadr[13]}]
set_property -dict {PACKAGE_PIN K1 IOSTANDARD LVCMOS33} [get_ports {zbtadr[14]}]
set_property -dict {PACKAGE_PIN L1 IOSTANDARD LVCMOS33} [get_ports {zbtadr[15]}]
set_property -dict {PACKAGE_PIN D5 IOSTANDARD LVCMOS33} [get_ports {zbtadr[16]}]
set_property -dict {PACKAGE_PIN B4 IOSTANDARD LVCMOS33} [get_ports {zbtadr[17]}]
set_property -dict {PACKAGE_PIN B7 IOSTANDARD LVCMOS33} [get_ports {zbtadr[18]}]
set_property -dict {PACKAGE_PIN L3 IOSTANDARD LVCMOS33} [get_ports {zbtadr[19]}]

# ZBT data; bidirectional bus
set_property -dict {PACKAGE_PIN H4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[0]}]
set_property -dict {PACKAGE_PIN J4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[1]}]
set_property -dict {PACKAGE_PIN J5 IOSTANDARD LVCMOS33} [get_ports {zbtdata[2]}]
set_property -dict {PACKAGE_PIN K5 IOSTANDARD LVCMOS33} [get_ports {zbtdata[3]}]
set_property -dict {PACKAGE_PIN J3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[4]}]
set_property -dict {PACKAGE_PIN K3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[5]}]
set_property -dict {PACKAGE_PIN K2 IOSTANDARD LVCMOS33} [get_ports {zbtdata[6]}]
set_property -dict {PACKAGE_PIN L4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[7]}]
set_property -dict {PACKAGE_PIN F1 IOSTANDARD LVCMOS33} [get_ports {zbtdata[8]}]
set_property -dict {PACKAGE_PIN F5 IOSTANDARD LVCMOS33} [get_ports {zbtdata[9]}]
set_property -dict {PACKAGE_PIN G3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[10]}]
set_property -dict {PACKAGE_PIN H2 IOSTANDARD LVCMOS33} [get_ports {zbtdata[11]}]
set_property -dict {PACKAGE_PIN E1 IOSTANDARD LVCMOS33} [get_ports {zbtdata[12]}]
set_property -dict {PACKAGE_PIN F3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[13]}]
set_property -dict {PACKAGE_PIN G4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[14]}]
set_property -dict {PACKAGE_PIN E2 IOSTANDARD LVCMOS33} [get_ports {zbtdata[15]}]
set_property -dict {PACKAGE_PIN D4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[16]}]
set_property -dict {PACKAGE_PIN E3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[17]}]
set_property -dict {PACKAGE_PIN D3 IOSTANDARD LVCMOS33} [get_ports {zbtdata[18]}]
set_property -dict {PACKAGE_PIN H5 IOSTANDARD LVCMOS33} [get_ports {zbtdata[19]}]
set_property -dict {PACKAGE_PIN D2 IOSTANDARD LVCMOS33} [get_ports {zbtdata[20]}]
set_property -dict {PACKAGE_PIN F4 IOSTANDARD LVCMOS33} [get_ports {zbtdata[21]}]
set_property -dict {PACKAGE_PIN E5 IOSTANDARD LVCMOS33} [get_ports {zbtdata[22]}]
set_property -dict {PACKAGE_PIN M1 IOSTANDARD LVCMOS33} [get_ports {zbtdata[23]}]
set_property -dict {PACKAGE_PIN E7 IOSTANDARD LVCMOS33} [get_ports {zbtdata[24]}]
set_property -dict {PACKAGE_PIN D7 IOSTANDARD LVCMOS33} [get_ports {zbtdata[25]}]
set_property -dict {PACKAGE_PIN E6 IOSTANDARD LVCMOS33} [get_ports {zbtdata[26]}]
set_property -dict {PACKAGE_PIN C6 IOSTANDARD LVCMOS33} [get_ports {zbtdata[27]}]
set_property -dict {PACKAGE_PIN D8 IOSTANDARD LVCMOS33} [get_ports {zbtdata[28]}]
set_property -dict {PACKAGE_PIN G6 IOSTANDARD LVCMOS33} [get_ports {zbtdata[29]}]
set_property -dict {PACKAGE_PIN F6 IOSTANDARD LVCMOS33} [get_ports {zbtdata[30]}]
set_property -dict {PACKAGE_PIN C7 IOSTANDARD LVCMOS33} [get_ports {zbtdata[31]}]



 # SD Card net names
# Here I am not using the <> syntax because of the ...DATA3_CS_B net.
# This may get changed when we look at the IP core port interface.
set_property PACKAGE_PIN B8 [get_ports {SS[0]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {SS[0]}]
##Sch name = JA2
set_property PACKAGE_PIN B9 [get_ports {MOSI[0]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {MOSI[0]}]
##Sch name = JA3
set_property PACKAGE_PIN D9 [get_ports {MISO[0]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {MISO[0]}]
##Sch name = JA4
set_property PACKAGE_PIN C9 [get_ports {SCLK[0]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {SCLK[0]}]
set_property PULLUP true [get_ports {MISO[0]}]



# W5500 net names


set_property PACKAGE_PIN C16 [get_ports {SS[1]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {SS[1]}]
##Sch name = JC2
set_property PACKAGE_PIN E17 [get_ports {MOSI[1]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {MOSI[1]}]
##Sch name = JC3
set_property PACKAGE_PIN K16 [get_ports {MISO[1]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {MISO[1]}]
##Sch name = JC4
set_property PACKAGE_PIN D17 [get_ports {SCLK[1]}]                   
   set_property IOSTANDARD LVCMOS33 [get_ports {SCLK[1]}]
set_property PULLUP true [get_ports {MISO[1]}]


#VGA Connector
set_property PACKAGE_PIN U7 [get_ports {RGB[0]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[0]}]
set_property PACKAGE_PIN U6 [get_ports {RGB[1]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[1]}]
set_property PACKAGE_PIN N5 [get_ports {RGB[2]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[2]}]
set_property PACKAGE_PIN P5 [get_ports {RGB[3]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[3]}]
set_property PACKAGE_PIN U4 [get_ports {RGB[4]}]				
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[4]}]
set_property PACKAGE_PIN U3 [get_ports {RGB[5]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[5]}]
set_property PACKAGE_PIN L6 [get_ports {RGB[6]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[6]}]
set_property PACKAGE_PIN L5 [get_ports {RGB[7]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[7]}]
    
set_property PACKAGE_PIN P2 [get_ports {RGB[8]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[8]}]
set_property PACKAGE_PIN R2 [get_ports {RGB[9]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[9]}]
set_property PACKAGE_PIN R1 [get_ports {RGB[10]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[10]}]
set_property PACKAGE_PIN T1 [get_ports {RGB[11]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[11]}]
set_property PACKAGE_PIN V1 [get_ports {RGB[12]}]				
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[12]}]
set_property PACKAGE_PIN M6 [get_ports {RGB[13]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[13]}]
set_property PACKAGE_PIN N6 [get_ports {RGB[14]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[14]}]
set_property PACKAGE_PIN N2 [get_ports {RGB[15]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[15]}]	
    
set_property PACKAGE_PIN V4 [get_ports {RGB[16]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[16]}]
set_property PACKAGE_PIN T5 [get_ports {RGB[17]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[17]}]
set_property PACKAGE_PIN T4 [get_ports {RGB[18]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[18]}]
set_property PACKAGE_PIN R3 [get_ports {RGB[19]}]				
	set_property IOSTANDARD LVCMOS33 [get_ports {RGB[19]}]
set_property PACKAGE_PIN T3 [get_ports {RGB[20]}]				
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[20]}]
set_property PACKAGE_PIN U2 [get_ports {RGB[21]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[21]}]
set_property PACKAGE_PIN V2 [get_ports {RGB[22]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[22]}]
set_property PACKAGE_PIN U1 [get_ports {RGB[23]}]                
    set_property IOSTANDARD LVCMOS33 [get_ports {RGB[23]}]
    
    
set_property PACKAGE_PIN M3 [get_ports hsync]						
	set_property IOSTANDARD LVCMOS33 [get_ports hsync]
set_property PACKAGE_PIN M2 [get_ports vsync]						
	set_property IOSTANDARD LVCMOS33 [get_ports vsync]
set_property PACKAGE_PIN P4 [get_ports VGA_blank]						
        set_property IOSTANDARD LVCMOS33 [get_ports VGA_blank]
set_property PACKAGE_PIN P3 [get_ports VGA_sync]                        
    set_property IOSTANDARD LVCMOS33 [get_ports VGA_sync]
set_property PACKAGE_PIN N1 [get_ports VGA_pix_clk]         
    set_property IOSTANDARD LVCMOS33 [get_ports VGA_pix_clk]


#Mouse (PS/2)
set_property PACKAGE_PIN K15 [get_ports msclk]						
	set_property IOSTANDARD LVCMOS33 [get_ports msclk]
	set_property PULLUP true [get_ports PS1]
set_property PACKAGE_PIN J15 [get_ports msdat]					
	set_property IOSTANDARD LVCMOS33 [get_ports msdat]	
	set_property PULLUP true [get_ports PS2D]


###Keyboard (PS/2)
set_property PACKAGE_PIN G17 [get_ports PS2C]						
	set_property IOSTANDARD LVCMOS33 [get_ports PS2C]
	set_property PULLUP true [get_ports PS2C]
set_property PACKAGE_PIN H17 [get_ports PS2D]					
	set_property IOSTANDARD LVCMOS33 [get_ports PS2D]	
	set_property PULLUP true [get_ports PS2D]

